- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libabw::ABWUnorderedListElement Struct Reference

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWUnorderedListElement:

## Public Member Functions
| ABWUnorderedListElement ()
| ~ABWUnorderedListElement ()
void | writeOut (librevenge::RVNGPropertyList &propList) const
ABWListType | getType () const
Public Member Functions inherited from libabw::ABWListElement
| ABWListElement ()
virtual | ~ABWListElement ()

## Public Attributes
librevenge::RVNGString | m_bulletChar
Public Attributes inherited from libabw::ABWListElement
int | m_listLevel
double | m_minLabelWidth
double | m_spaceBefore
int | m_parentId

## Constructor & Destructor Documentation

libabw::ABWUnorderedListElement::ABWUnorderedListElement | ( |  | ) |
| inline

libabw::ABWUnorderedListElement::~ABWUnorderedListElement | ( |  | ) |
| inline

## Member Function Documentation

ABWListType libabw::ABWUnorderedListElement::getType | ( |  | ) | const
| inline virtual

Implements libabw::ABWListElement.

void libabw::ABWUnorderedListElement::writeOut | ( | librevenge::RVNGPropertyList & | propList | ) | const
| virtual

Reimplemented from libabw::ABWListElement.

## Member Data Documentation

librevenge::RVNGString libabw::ABWUnorderedListElement::m_bulletChar

Referenced by libabw::ABWStylesCollector::_processList().

The documentation for this struct was generated from the following files:

- ABWCollector.h
- ABWCollector.cpp